Bug 134169 - gnome-session creshes at wm start when session saving is turned on
gnome-session creshes at wm start when session saving is turned on
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 134212 137778 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 17:47 EDT by bednar
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bednar 2004-09-29 17:47:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040612 Firefox/0.8

Description of problem:
I did upgrade of whole system today (except kernel which i have
2.6.7-1). From times of Fedora Core 1 I cannot save session, because
after logout and login to gnome, gnome stalls with background color. I
tried to remove some positions from ~/.gnome2/session file (for
example when I have 10 saved programs there are few lines beginning
with 5, so I removed all them, renumbered following lines and
decreased total amount by 1). This also doesn't help. Even when teh
session was saved with only one running program gedit, the gnome
crashes just after login.
Gnome session manager is the worst part of Gnome. Last upgrade
resolves many problems: volume default level is no zero at once,
nautilus doesnt crash when smb:/// browsing, etc. but gnome-session NOT!!!

Version-Release number of selected component (if applicable):
gnome-session-2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1.Save session when exiting Gnome (turn it on in gconf-editor or in
start>preferences>sessions)
2.Logout from Gnome
3.Login to Gnome
    

Actual Results:  Gnome blocks/stalls just after logging in it. The
only solution is to restart xserver.

Expected Results:  WOrking Gnome with restored state (apps with opened
documents) which was saved befor logging out.
Comment 1 bednar 2004-11-01 13:27:56 EST
I did the test with strace. The output of strace as good and bad
 ~/.gnome2/session files are accesible at:

 http://bednar.prv.pl/debug/session.ok
 http://bednar.prv.pl/debug/session.fail
 http://bednar.prv.pl/debug/strace.txt

These results are effect of saving session state before logging out of
gnome in FC2.
After logging in I have only spalsh screen but session stops/stalls
forever. I have to remove ~/.gnome2/session to fix this. Editing this
file does not help. I have to have permamently turned off session
state.
Additional info:
gnome-session-2.6.0-4,
FC2 was not clean install but upgrade form FC1, where I had same problem.
FC1 was clean install.
Comment 2 Ray Strode [halfline] 2004-11-04 19:58:45 EST
*** Bug 134212 has been marked as a duplicate of this bug. ***
Comment 3 Ray Strode [halfline] 2004-11-04 19:59:24 EST
*** Bug 137778 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Miller 2005-04-26 11:13:02 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Ray Strode [halfline] 2005-05-11 17:21:33 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.